Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.actions.EmbeddedGotoAction Class Reference
Inheritance diagram for foxit.pdf.actions.EmbeddedGotoAction:

## Public Member Functions
| EmbeddedGotoAction (Action action)
| Constructor, with parent class object. More...
Destination | GetDestination ()
| Get the destination information which specifies where to jump to in the final target file. More...
string | GetDestinationName ()
| Get the destination name which is defined in final target PDF file. More...
Action.NewWindowFlag | GetNewWindowFlag ()
| Get the flag which is used to decide whether to open the destination document in a new window or not. More...
FileSpec | GetRootFile ()
| Get the file specification of the root file which is the root file for the target. More...
EmbeddedGotoTarget | GetTarget ()
| Get the target. More...
void | SetDestination (Destination destination)
| Set the destination information which specifies where to jump to in the final target file. More...
void | SetDestinationName (string dest_name)
| Set the destination name. More...
void | SetNewWindowFlag (Action.NewWindowFlag flag)
| Set the flag which is used to decide whether to open the destination document in a new window or not. More...
void | SetRootFile (FileSpec file_specification)
| Set the file specification of the root file which is the root file for the target. More...
void | SetTarget (EmbeddedGotoTarget target)
| Set the target. More...
Public Member Functions inherited from foxit.pdf.actions.Action
| Action (PDFDoc document, PDFDictionary action_dict)
| Constructor, with parameters. More...
| Action (Action action)
| Constructor, with another action object. More...
PDFDictionary | GetDict ()
| Get PDF dictionary of current object. More...
PDFDoc | GetDocument ()
| Get the PDF document, to which current action belongs. More...
Action | GetSubAction (int index)
| Get a sub-action by index. More...
int | GetSubActionCount ()
| Get the count of sub-actions. More...
Action.Type | GetType ()
| Get action type. More...
void | InsertSubAction (int index, Action sub_action)
| Insert a new sub-action to the location specified by index. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | RemoveAllSubActions ()
| Remove all the sub-actions. More...
void | RemoveSubAction (int index)
| Remove a sub-action, specified by index. More...
void | SetSubAction (int index, Action sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.actions.Action
enum | NewWindowFlag { NewWindowFlag.e_NewWindowFlagFalse = 0, NewWindowFlag.e_NewWindowFlagTrue = 1, NewWindowFlag.e_NewWindowFlagNone = 2 }
| Enumeration for new window flag. More...
enum | Type { Type.e_TypeUnknown = 0, Type.e_TypeGoto = 1, Type.e_TypeGoToR = 2, Type.e_TypeGoToE = 3, Type.e_TypeLaunch = 4, Type.e_TypeThread = 5, Type.e_TypeURI = 6, Type.e_TypeSound = 7, Type.e_TypeMovie = 8, Type.e_TypeHide = 9, Type.e_TypeNamed = 10, Type.e_TypeSubmitForm = 11, Type.e_TypeResetForm = 12, Type.e_TypeImportData = 13, Type.e_TypeJavaScript = 14, Type.e_TypeSetOCGState = 15, Type.e_TypeRendition = 16, Type.e_TypeTrans = 17, Type.e_TypeGoTo3DView = 18 }
| Enumeration for action type. More...
Static Public Member Functions inherited from foxit.pdf.actions.Action
static Action | Create (PDFDoc document, Action.Type action_type)
| Create a new action, for specified action type. More...

## Detailed Description

Embedded go-to action is similar to a remote go-to action but allows jumping to or from a PDF file that is embedded in another PDF file. Class foxit.pdf.actions.EmbeddedGotoTarget is derived from Action and offers functions to get/set embedded go-to action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ EmbeddedGotoAction()

foxit.pdf.actions.EmbeddedGotoAction.EmbeddedGotoAction | ( | Action | action | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetDestination()

Destination foxit.pdf.actions.EmbeddedGotoAction.GetDestination | ( |  | ) |
| inline

Get the destination information which specifies where to jump to in the final target file.

For a embedded go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, function EmbeddedGotoAction.GetDestination would return a valid destination object.

- If it is a destination name, function EmbeddedGotoAction.GetDestinationName would return a valid string, and the destination name would be defined in the final target PDF file.

If the return value of function Destination.IsEmpty for the returned destination object is true and function EmbeddedGotoAction.GetDestinationName returns an empty string, that means the embedded go-to action does not have any destination information.

Returns
  A destination object. If the return value of function Destination.IsEmpty for the returned destination object is true, please try function EmbeddedGotoAction.GetDestinationName .

## ◆ GetDestinationName()

string foxit.pdf.actions.EmbeddedGotoAction.GetDestinationName | ( |  | ) |
| inline

Get the destination name which is defined in final target PDF file.

For a remote go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, function EmbeddedGotoAction.GetDestination would return a valid destination object.

- If it is a destination name, function EmbeddedGotoAction.GetDestinationName would return a valid string, and the destination name would be defined in the target PDF file.

If the return value of function Destination.IsEmpty for the returned destination object is true and function EmbeddedGotoAction.GetDestinationName returns an empty string, that means the embedded go-to action does not have any destination information.

Returns
  The destination name. If this function returns an empty string, please try function EmbeddedGotoAction.GetDestination .

## ◆ GetNewWindowFlag()

Action.NewWindowFlag foxit.pdf.actions.EmbeddedGotoAction.GetNewWindowFlag | ( |  | ) |
| inline

Get the flag which is used to decide whether to open the destination document in a new window or not.

Returns
  The new windows flag. It would be one of following values:

  - foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagTrue means to open the destination document in a new window.

  - foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagFalse means that the destination document replaces current document in the same window.

  - foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

## ◆ GetRootFile()

FileSpec foxit.pdf.actions.EmbeddedGotoAction.GetRootFile | ( |  | ) |
| inline

Get the file specification of the root file which is the root file for the target.

Returns
  A non-embedded file specification object. If the return value of function FileSpec.IsEmpty for the returned file specification object is true, that means the PDF file which contains current embedded goto action is just the root file for target object.

## ◆ GetTarget()

EmbeddedGotoTarget foxit.pdf.actions.EmbeddedGotoAction.GetTarget | ( |  | ) |
| inline

Get the target.

Returns
  An embedded goto target object. If the return value of function EmbeddedGotoTarget.IsEmpty for the returned embedded goto target object is true, that means no target.

## ◆ SetDestination()

void foxit.pdf.actions.EmbeddedGotoAction.SetDestination | ( | Destination | destination | ) |
| inline

Set the destination information which specifies where to jump to in the final target file.

Parameters

  [in] | destination | A valid destination object to be set.

Returns
  None.

## ◆ SetDestinationName()

void foxit.pdf.actions.EmbeddedGotoAction.SetDestinationName | ( | string | dest_name | ) |
| inline

Set the destination name.

The destination name should have been in the "Dests" name tree in the target PDF file.

Parameters

  [in] | dest_name | A destination name to be set. It should not be an empty string.

Returns
  None.

## ◆ SetNewWindowFlag()

void foxit.pdf.actions.EmbeddedGotoAction.SetNewWindowFlag | ( | Action.NewWindowFlag | flag | ) |
| inline

Set the flag which is used to decide whether to open the destination document in a new window or not.

Parameters

  [in] | flag | The new window flag. It should be one of following values: foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagTrue means to open the destination document in a new window. foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagFalse means that the destination document replaces current document in the same window. foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

Returns
  None.

## ◆ SetRootFile()

void foxit.pdf.actions.EmbeddedGotoAction.SetRootFile | ( | FileSpec | file_specification | ) |
| inline

Set the file specification of the root file which is the root file for the target.

Parameters

  [in] | file_specification | The file specification object: It can be constructed by default constructor and not set any value. In this case, that means the PDF file which contains current embedded goto action is also the root file for target. Otherwise, this should be a valid file specification object, and should represent another file, not an embedded file. The file specification object should be in the same PDF file as current action.

Returns
  None.

## ◆ SetTarget()

void foxit.pdf.actions.EmbeddedGotoAction.SetTarget | ( | EmbeddedGotoTarget | target | ) |
| inline

Set the target.

Parameters

  [in] | target | An embedded goto target object. If this is constructed by default constructor and has not been set any value, that means no target.

Returns
  None.